$(document).ready( function(){
count = 0; /* global: current picture id */

$('#itemlist li').bind('tap', function(){
  var canvas = $('#canvas1').get(0); /* get(0)!  */
  var img = new Image();
  count=$(this).index('li');
  img.src =  $(this).find('img').attr('src');
  img.onload = function() { 
    Draw(canvas, img);
  }
  
});

$('#btn-right').bind('tap', function(){
  count++;
  var maxidx = $('#itemlist li').length-1;
  if ( count > maxidx ) {
    count = 0;
  }
  var canvas = $('#canvas1').get(0);
  var img =new Image();
  $this = $('#itemlist li:eq(' + count + ')' );
  img.src = $this.find('img').attr('src');
  img.onload =function(){
    Draw(canvas, img);
  }
});

$('#btn-left').bind('tap', function(){
  count--;
  if ( count < 0) {
    count =  $('#itemlist li').length - 1;
  }
  var canvas =$('#canvas1').get(0);
  var img =new Image();
  $this = $('#itemlist li:eq(' + count + ')' );
  img.src = $this.find('img').attr('src');
  img.onload =function(){
    Draw(canvas, img);
  }
});


});
/* end of ready */

function Draw(canvas, img){
  var context = canvas.getContext("2d");
  context.clearRect(0,0,canvas.width,canvas.height);
  if (img.width > img.height){
  context.save();
  var cx =canvas.width / 2;
  var cy =canvas.height / 2;
  var ix = (canvas.width - img.width) / 2;
  var iy = (canvas.height - img.height) / 2;
  context.translate(cx,cy);
  context.rotate(1.57);
  context.translate(-1 * cx, -1 *cy);
  context.drawImage(img,ix,iy);
  context.restore();
  } else {
  context.drawImage(img,0,0) ;
  }
}
